Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class RenderPortletType

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.RenderPortletType

public class RenderPortletType
extends java.lang.Object

Field Summary
`static int` | `CUSTOM`
`static java.lang.String` | `CUSTOM_NAME`
`static int` | `JSP`
`static java.lang.String` | `JSP_NAME`
`static int` | `SERVLET`
`static java.lang.String` | `SERVLET_NAME`
`static int` | `WEBBEAN`
`static java.lang.String` | `WEBBEAN_NAME`

Constructor Summary
`RenderPortletType()`

Method Summary
`static java.lang.String` | `toString(int type)` return the name of a type.
`static int` | `valueOf(java.lang.String type)` return the type from name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM

    public static final int CUSTOM

### JSP

    public static final int JSP

### SERVLET

    public static final int SERVLET

### WEBBEAN

    public static final int WEBBEAN

### CUSTOM_NAME

    public static final java.lang.String CUSTOM_NAME

### JSP_NAME

    public static final java.lang.String JSP_NAME

### SERVLET_NAME

    public static final java.lang.String SERVLET_NAME

### WEBBEAN_NAME

    public static final java.lang.String WEBBEAN_NAME

Constructor Detail

### RenderPortletType

    public RenderPortletType()

Method Detail

### toString

    public static java.lang.String toString(int type)
                                     throws java.lang.IllegalArgumentException

  return the name of a type.
  Parameters:
    `type` - parameter type
  Returns:
    parameter type name

### valueOf

    public static int valueOf(java.lang.String type)
                       throws java.lang.IllegalArgumentException

  return the type from name.
  Parameters:
    `type` - parameter type name
  Returns:
    parameter type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD